php-pecl-dom-varimport-1.11.3-1.el5.remi.5.4.i386.rpm


Advertisement

Description

php-pecl-dom-varimport - Convert nested arrays into DOMDocument

Property Value
Distribution CentOS 5
Repository Les RPM de Remi i386
Package name php-pecl-dom-varimport
Package version 1.11.3
Package release 1.el5.remi.5.4
Package architecture i386
Package type rpm
Installed size 32.03 KB
Download size 17.13 KB
Official Mirror rpms.remirepo.net
The extension converts nested PHP arrays and objects into DOMDocument.
Some of projects use XSLT as a templating engine. To build XML for such engines,
we need a very fast and memory efficient way to convert PHP nested arrays and
objects into DOMDocument object. Also, produced XML should be straight-forward
and as simple as it could be (BTW XMLRPC, SOAP and other XML-based formats are quite
sloppy in this case). So dom_varimport has been introduced: it produces DOMDocument
from a nested array near 20 times faster than a hand-made code in native PHP
(1 MB XML with thousands of nodes could be generated in 1-2 ms).
Package built for PHP 5.4.

Alternatives

Package Version Architecture Repository
php-pecl-dom-varimport-1.11.3-1.el5.remi.5.4.x86_64.rpm 1.11.3 x86_64 Les RPM de Remi
php-pecl-dom-varimport-1.11.2-1.el5.remi.5.4.i386.rpm 1.11.2 i386 Les RPM de Remi
php-pecl-dom-varimport-1.11.2-1.el5.remi.5.4.x86_64.rpm 1.11.2 x86_64 Les RPM de Remi
php-pecl-dom-varimport - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
libm.so.6 -
libxml2.so.2 -
libz.so.1 -
php(api) = 20100412
php(zend-abi) = 20100525
php-dom -
rtld(GNU_HASH) -

Provides

Name Value
config(php-pecl-dom-varimport) = 1.11.3-1.el5.remi.5.4
dom_varimport.so -
php-dom_varimport = 1.11.3
php-pecl(dom_varimport) = 1.11.3
php-pecl-dom-varimport = 1.11.3-1.el5.remi.5.4

Obsoletes

Name Value
php53-pecl-dom_varimport <= 1.11.3
php53u-pecl-dom_varimport <= 1.11.3
php54-pecl-dom_varimport <= 1.11.3
php54w-pecl-dom_varimport <= 1.11.3

Download

Type URL
Binary Package php-pecl-dom-varimport-1.11.3-1.el5.remi.5.4.i386.rpm
Source Package php-pecl-dom-varimport-1.11.3-1.el5.remi.5.4.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/enterprise/5/remi/i386/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php-pecl-dom-varimport rpm package:
    # yum --enablerepo=remi install php-pecl-dom-varimport

Files

Path
/etc/php-zts.d/dom_varimport.ini
/etc/php.d/dom_varimport.ini
/usr/lib/php-zts/modules/dom_varimport.so
/usr/lib/php/modules/dom_varimport.so
/usr/share/doc/pecl/dom_varimport/CREDITS
/usr/share/doc/pecl/dom_varimport/LICENSE
/usr/share/doc/pecl/dom_varimport/README.md
/var/lib/pear/pkgxml/php-pecl-dom-varimport.xml

Changelog

2015-08-05 - Remi Collet <remi@fedoraproject.org> - 1.11.3-1
- Update to 1.11.3
2015-08-04 - Remi Collet <remi@fedoraproject.org> - 1.11.2-1
- Initial RPM package
- open https://github.com/DmitryKoterov/dom_varimport/pull/5
fix config.m4 + fix role for tests
- open https://github.com/DmitryKoterov/dom_varimport/issues/6
failed test with php 5.6 / 32bits

See Also

Package Description
php-pecl-dom-varimport-devel-1.11.2-1.el5.remi.5.4.i386.rpm php-pecl-dom-varimport developer files (header)
php-pecl-dom-varimport-devel-1.11.3-1.el5.remi.5.4.i386.rpm php-pecl-dom-varimport developer files (header)
php-pecl-doublemetaphone-1.0.1-1.el5.remi.5.4.i386.rpm Provide Double Metaphone functionality
php-pecl-druid-0.9.0-1.el5.remi.5.4.i386.rpm A Druid driver for PHP
php-pecl-druid-0.9.2-1.el5.remi.5.4.i386.rpm A Druid driver for PHP
php-pecl-eio-2.0.0-1.el5.remi.5.4.i386.rpm Provides interface to the libeio library
php-pecl-eio-2.0.1-1.el5.remi.5.4.i386.rpm Provides interface to the libeio library
php-pecl-env-0.2.0-1.el5.remi.5.4.i386.rpm Load environment variables
php-pecl-env-0.2.1-1.el5.remi.5.4.i386.rpm Load environment variables
php-pecl-ev-1.0.3-1.el5.remi.5.4.i386.rpm Provides interface to libev library
php-pecl-ev-1.0.4-1.el5.remi.5.4.i386.rpm Provides interface to libev library
php-pecl-event-2.2.1-1.el5.remi.5.4.i386.rpm Provides interface to libevent library
php-pecl-event-2.3.0-1.el5.remi.5.4.i386.rpm Provides interface to libevent library
php-pecl-expect-0.3.2-2.el5.remi.5.4.i386.rpm PHP extension for expect library
php-pecl-expect-0.3.3-1.el5.remi.5.4.i386.rpm PHP extension for expect library
Advertisement
Advertisement